Skip to main content
GET
/
api
/
app-api
/
sip
/
platform
/
v2
/
workspace
/
list
Get Workspace List
curl --request GET \
  --url https://docflow.textin.com/api/app-api/sip/platform/v2/workspace/list \
  --header 'x-ti-app-id: <api-key>' \
  --header 'x-ti-secret-code: <api-key>'
{
  "code": 200,
  "msg": "<string>",
  "result": {
    "total": 100,
    "page": 1,
    "page_size": 20,
    "workspaces": [
      {
        "workspace_id": "1234567890",
        "name": "My Workspace",
        "description": "This is a workspace for invoice processing",
        "auth_scope": 1,
        "manage_account_id": "admin_123456",
        "manage_account_name": "John Doe",
        "callback_url": "https://example.com/callback",
        "callback_retry_time": 3
      }
    ]
  }
}

Authorizations

x-ti-app-id
string
header
required
x-ti-secret-code
string
header
required

Query Parameters

enterprise_id
integer<int64>
required

Enterprise ID

page
integer
default:1

Page number

Example:

1

page_size
integer
default:20

Page size

Example:

20

Response

200 - application/json

Successfully retrieved workspace list

code
integer
required

Status code

Example:

200

msg
string
required

Status description

result
object